Runtime

## org.eclipse.gmf.runtime.emf.type.core.commands
Class ConfigureRelationshipCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
                      org.eclipse.gmf.runtime.emf.type.core.commands.ConfigureElementCommand
                          org.eclipse.gmf.runtime.emf.type.core.commands.ConfigureRelationshipCommand

All Implemented Interfaces:
  IUndoableOperation, ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public abstract class ConfigureRelationshipCommand

extends ConfigureElementCommand

Edit command to configure a new relationship element with the characteristics of its element type.

Constructor Summary
`ConfigureRelationshipCommand(ConfigureRequest request)` Constructs a new element configuration command for the `request`.

Method Summary
`boolean` `canExecute()` Checks that the element to be modified by this command is of the correct kind.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.commands.ConfigureElementCommand
`getElementType`

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
`getAffectedFiles, getEClass, getEClassToEdit, getElementToEdit, getRequest, isOK, setEClass, setElementToEdit`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doExecuteWithResult, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, redo, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### ConfigureRelationshipCommand

    public ConfigureRelationshipCommand(ConfigureRequest request)

  Constructs a new element configuration command for the `request`.

  Parameters:
    `request` - the element configuration request

Method Detail

### canExecute

    public boolean canExecute()

  Description copied from class: `EditElementCommand`
  Checks that the element to be modified by this command is of the correct kind.

  Specified by:
    `canExecute` in interface `IUndoableOperation`
  Overrides:
    `canExecute` in class `EditElementCommand`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.